View Issue Details

IDProjectCategoryView StatusLast Update
0000058luatexluatex bugpublic2008-07-18 15:57
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.27.0 
Target Version0.30.0Fixed in Version0.29.0 
Summary0000058: Font contains a bad BBox
DescriptionSometimes font descriptors get entries such as

/FontBBox [0 0 1000 0]

Which causes AR to complain. Attached is hans' testfile (but it needs context)
TagsNo tags attached.

Relationships

child of 0000044 closedTaco Merge latest pdftex (1.40.8) 

Activities

2008-06-25 09:26

 

mathhack.tex (4,134 bytes)

Taco

2008-06-25 09:30

administrator   ~0000032

Fixed in #1336. The patch assures that there is always a described rectangle.

Taco

2008-06-30 10:10

administrator   ~0000036

From Hartmut:

attached is a diff that sorts FontBBox values (happens only for
pathologic cases anyway) and only if they are equal, it adds 1. this is
added upon fix_fontmetrics() from pdftex, which also fixes a few other
keys.

problem is that i currently can't check it into svn, as i have
regenerated the ssh keys here (debian bug) and i have to set the new
public key at supelec -- but not now.

Taco

2008-07-18 15:57

administrator   ~0000040

solved by incorporation of new code from pdftex

Issue History

Date Modified Username Field Change
2008-06-25 09:26 Taco New Issue
2008-06-25 09:26 Taco File Added: mathhack.tex
2008-06-25 09:30 Taco Note Added: 0000032
2008-06-25 09:30 Taco Assigned To => Taco
2008-06-25 09:30 Taco Status new => resolved
2008-06-25 09:30 Taco Product Version => 0.27.0
2008-06-25 09:30 Taco Target Version => 0.30.0
2008-06-25 09:30 Taco Description Updated
2008-06-30 10:10 Taco Note Added: 0000036
2008-06-30 10:11 Taco Status resolved => assigned
2008-06-30 10:11 Taco Relationship added child of 0000042
2008-06-30 10:12 Taco Relationship deleted child of 0000042
2008-06-30 10:12 Taco Relationship added child of 0000044
2008-07-18 15:57 Taco Note Added: 0000040
2008-07-18 15:57 Taco Status assigned => closed
2008-07-18 15:57 Taco Resolution open => fixed
2008-07-18 15:57 Taco Fixed in Version => 0.29.0